package org.rcisoft.common.util.feignDto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.core.annotation.Order;

@Data
public class FindDepartByNameDTO {

    @ApiModelProperty(value = "企业部门id", position = 0)
    @Order(0)
    private String id;


    @ApiModelProperty(value = "名称", position = 3)
    @Order(3)
    private String name;

    @ApiModelProperty(value = "部门人数", position = 11)
    @Order(11)
    private int userCnt;

    @ApiModelProperty(value = "是否有子部门", position = 36)
    @Order(37)
    private String flag;
    private String corpId;
    private String outerId;
    private String pid;
    private String pids;
    private String isCreateImgroup;
    private int sort;
    private String isBiz;
    private String managers;
    private String creator;
    private String createAt;
    private String updator;
    private String updateAt;
}
