package org.rcisoft.common.util.feignDto;

import lombok.Data;

import java.util.List;

@Data
public class CorpGetManager {

    /**
     *  "corpId": "6",
     *  "accountId": "127",
     *  "id": "1126774546725994498",
     *  "sysLevel": 2,
     *  "name": "刘纯",
     *  "tel": "18622227181",
     *  "jobNumber": "",
     *  "depts": [
     *   {
     *       "id": "178",
     *       "name": "美腾市场营销事业部1",
     *       "count": null,
     *       "pids": "0,1042237414280511489"
     *   }
     *   ],
     *   "position": null,
     *   "deptIds": null,
     *   "isAll": "0",
     *   "corpManagerAuthority": {
     *          "id": "1247378060999823361",
     *          "creator": "1062906540811640834",
     *          "createAt": "2020-04-07T04:18:00.000+0000",
     *          "updator": "1062906540811640834",
     *          "updateAt": "2020-04-07T04:18:00.000+0000",
     *          "corpId": "6",
     *          "managerId": "1054176358580482049",
     *          "authDetailInfo":"",
     *          "sysLevel": null
     *    },
     *    "authDetailInfo":""
     */

    private String corpId;

    private String accountId;

    private String id;

    private Integer sysLevel;

    private String name;

    private String tel;

    private String jobNumber;

    private List<CorpGetManagerDeptDTO> depts;

    private String position;

    private String deptIds;

    private String isAll;

    private CorpManagerAuthority corpManagerAuthority;

    private String authDetailInfo;

    @Data
    public static class CorpGetManagerDeptDTO {

        /**

         *  "id": "178",
         *  "name": "美腾市场营销事业部1",
         *  "count": null,
         *  "pids": "0,1042237414280511489"
         */

        private String count;

        private String id;

        private String name;

        private String pids;
    }
    @Data
    public static class CorpManagerAuthority {

        /**
         "id": "1247377472069210113",
         "creator": "1062906540811640834",
         "createAt": "2020-04-07T04:15:39.000+0000",
         "updator": "1062906540811640834",
         "updateAt": "2020-04-07T04:15:39.000+0000",
         "corpId": "6",
         "managerId": "1042237481330647042",
         "authDetailInfo": "",
         "sysLevel": null
         */

        private String id;

        private String creator;

        private String createAt;

        private String updator;

        private String updateAt;

        private String corpId;

        private String managerId;

        private String authDetailInfo;

        private String sysLevel;
    }


}
